<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
    <title>UI</title>
    <script type="text/javascript" src="lib/three.js"></script>
    <style>

        :root {
            --border-rad: 30px;
        }

        body {
            /* set margin to 0 and overflow to hidden, to go fullScreen */
            margin: 0;
            overflow: hidden;
        }

        canvas {
            position: absolute;
            top: 0;
            left: 0;
            z-index: -9999;
        }

        .main{
            z-index: 0;

        }

        .container-right {
            z-index: 0;
            padding-top: 15px;
            margin-top: 0;
            height: -webkit-fill-available;
            width: 10%;
            display: flex;
            justify-content: space-around;
            flex-wrap: wrap;
            flex-direction: column;
            float: right;
            background: rgba(90,90,90,0.1);
        }

        .container-bottom {
            z-index: 0;
            align-items: flex-end;
            display: flex;
            justify-content: space-around;
            flex-wrap: wrap;
            height: -webkit-fill-available



        }

        .card {
            margin: 15px auto;
            width: 100px;
            height: 100px;
            border-radius: var(--border-rad);
            box-shadow: 5px 5px 30px 4px rgba(0, 0, 0, 0.25), -5px -5px 30px 4px rgba(0, 0, 0, 0.22);
            cursor: pointer;
            transition: 0.4s;
        }

        .card .card_image {
            width: inherit;
            height: inherit;
            border-radius: var(--border-rad);
        }

        .card .card_image img {
            width: inherit;
            height: inherit;
            border-radius: var(--border-rad);
            object-fit: cover;
        }

        .card .card_title {
            text-align: center;
            border-radius: 0px 0px var(--border-rad) var(--border-rad);
            font-family: sans-serif;
            font-weight: bold;
            font-size: 0.9em;
            margin-top: -50%;
            height: 40px;
        }

        .card:hover {
            transform: scale(1.1, 1.1);
            box-shadow: 5px 5px 30px 7px rgba(0, 0, 0, 0.25),
            -5px -5px 30px 7px rgba(0, 0, 0, 0.22);
        }

        .title-white {
            color: white;
        }

        .title-black {
            color: black;
        }

        @media all and (max-width: 500px) {
            .container {
                /* On small screens, we are no longer using row direction but column */

            }
        }

    </style>
</head>
<body>

<div class="main"></div>


<div class="container-right">


    <div class="card" onclick="changeTexture(this)" data-value=0>
        <div class="card_image"><img src="texture/weird.jpg"/></div>
        <div class="card_title title-white">
            <p>Abstract</p>
        </div>
    </div>

    <div class="card" onclick="changeTexture(this)" data-value=1>
        <div class="card_image">
            <img src="texture/floor.jpg"/>
        </div>
        <div class="card_title title-white">
            <p>Wood 1</p>
        </div>
    </div>

    <div class="card" onclick="changeTexture(this)" data-value=2>
        <div class="card_image">
            <img src="texture/woodFloor.jpg"/>
        </div>
        <div class="card_title title-white">
            <p>Wood 2</p>
        </div>
    </div>

    <div class="card" onclick="changeTexture(this)" data-value=3>
        <div class="card_image">
            <img src="texture/Brick-Texture.jpg"/>
        </div>
        <div class="card_title title-white">
            <p>Brick</p>
        </div>
    </div>

</div>


<div class="container-bottom">

    <div class="card" onclick="changeShape(this)" data-value=0>
        <div class="card_image"><img src="texture/weird.jpg"/></div>
        <div class="card_title title-white">
            <p>Cube</p>
        </div>
    </div>

    <div class="card" onclick="changeShape(this)" data-value=1>
        <div class="card_image"><img src="texture/weird.jpg"/></div>
        <div class="card_title title-white">
            <p>Sphere</p>
        </div>
    </div>


    <div class="card" onclick="changeShape(this)" data-value=2>
        <div class="card_image"><img src="texture/weird.jpg"/></div>
        <div class="card_title title-white">
            <p>Icosahedron</p>
        </div>
    </div>
</div>

<!-- Div which will hold the Output -->
<div id="WebGL-output">


</div>

<script type="text/javascript">

    var scene, camera, renderer;
    var box;
    var textures = [];
    var geometries = [];

    var loader = new THREE.TextureLoader();


    init();
    animate();


    // once everything is loaded, we run our Three.js stuff.
    function init() {

        // create a scene, that will hold all our elements such as objects, cameras and lights.
        scene = new THREE.Scene();

        // create a camera, which defines where we're looking at.
        camera = new THREE.PerspectiveCamera(75, window.innerWidth / window.innerHeight, 0.1, 1000);

        // position and point the camera to the center of the scene
        camera.position.set(0, 2, 5);
        camera.lookAt(scene.position);

        // create a render and set the size
        renderer = new THREE.WebGLRenderer({antialias: true});

        renderer.setClearColor(new THREE.Color(0xcccccc));
        renderer.setSize(window.innerWidth, window.innerHeight);
        document.body.appendChild(renderer.domElement);


        var texture = loader.load('texture/weird.jpg');
        textures.push(texture);
        texture = loader.load('texture/floor.jpg');
        textures.push(texture);
        texture = loader.load('texture/woodFloor.jpg');
        textures.push(texture);
        texture = loader.load('texture/Brick-Texture.jpg');
        textures.push(texture);


        var light = new THREE.AmbientLight(0xffffff, 0.8);
        scene.add(light);

        var geometry = new THREE.BoxGeometry(1, 1, 1);
        geometries.push(geometry);

        geometry = new THREE.SphereGeometry(1,32,32);
        geometries.push(geometry);

        geometry = new THREE.IcosahedronGeometry();
        geometries.push(geometry);

        var material = new THREE.MeshPhongMaterial({map: textures[0]});

        box = new THREE.Mesh(geometries[0], material);
        scene.add(box);


    }

    function animate() {

        // render the scene

        requestAnimationFrame(animate);

        box.rotation.y += 0.005;
        box.rotation.x += 0.004;

        renderer.render(scene, camera);


    }

    function changeTexture(e) {
        var value = e.getAttribute("data-value");
        box.material.map = textures[value];
    }

    function changeShape(e) {
        var value = e.getAttribute("data-value");
        box.geometry = geometries[value];
    }

</script>
</body>
</html>